## python-ml-collections 0.1.1

=== requirements.txt ===
absl-py
PyYAML
six
contextlib2
dataclasses;python_version<'3.7'
typing;python_version<'3.5'

## python-ml-collections 0.1.0

=== debian/changelog ===
python-ml-collections (0.1.0-2ubuntu1) jammy; urgency=medium

  * d/patches:
    + Reworked upstream patch to support python 3.10

 -- Alexandre Ghiti <alexandre.ghiti@canonical.com>  Wed, 09 Feb 2022 11:11:17 +0100

python-ml-collections (0.1.0-2) unstable; urgency=medium

  * Team upload.
    (Source-only upload for testing migration)

 -- Nilesh Patra <nilesh@debian.org>  Thu, 19 Aug 2021 16:42:16 +0530

python-ml-collections (0.1.0-1) unstable; urgency=medium

  * Initial release (Closes: #991769)

 -- Steffen Moeller <moeller@debian.org>  Tue, 03 Aug 2021 00:51:27 +0530

=== debian/control ===
Source: python-ml-collections
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-setuptools,
               python3-absl <!nocheck>,
               python3-contextlib2 <!nocheck>,
               python3-yaml <!nocheck>
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-ml-collections
Vcs-Git: https://salsa.debian.org/python-team/packages/python-ml-collections.git
Testsuite: autopkgtest-pkg-python
Homepage: https://github.com/google/ml_collections
Rules-Requires-Root: no

Package: python3-ml-collections
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends},
         python3-absl,
         python3-contextlib2,
         python3-yaml
Description: collections designed for ML usecases
 The package provices two classes called ConfigDict and FrozenConfigDict that
 are "dict-like" data structures with dot access to nested elements. Together,
 they are supposed to be used as a main way of expressing configurations of
 experiments and models.
 .
 Features:
  * Dot-based access to fields.
  * Locking mechanism to prevent spelling mistakes.
  * Lazy computation.
  * FrozenConfigDict() class which is immutable and hashable.
  * Type safety.
  * "Did you mean" functionality.
  * Human readable printing (with valid references and cycles), using
    valid YAML format.
  * Fields can be passed as keyword arguments using the ** operator.
 .
 There are two exceptions to the strong type-safety of the ConfigDict.
 int values can be passed in to fields of type float. In such a case, the
 value is type-converted to a float before being stored. Similarly,
 all string types (including Unicode strings) can be stored in fields
 of type str or unicode.

=== debian/rules ===
#!/usr/bin/make -f

DH_VERBOSE := 1
export LC_ALL=C.UTF-8

export PYBUILD_NAME=python-ml-collections

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -f ml_collections.egg-info/SOURCES.txt ml_collections.egg-info/top_level.txt

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, bazel-bootstrap, python3-mock
Restrictions: allow-stderr, skip-not-installable

## python-ml-collections 0.1.1

=== debian/changelog ===
python-ml-collections (0.1.1-3) unstable; urgency=medium

  * Team upload.
  * Included a patch for ml_collections/config_flags/config_flags.py
    to replace deprecated imp with importlib to fix ModuleNotFoundError
    in Python 3.12. (Closes: #1058106)
  * Added python3-absl, python3-contextlib2, python3-yaml, python3-six
    to tests-depends.
  * Added python3-six to Build-Depends and Depends in d/control.
  * Disabled 2 bazel tests in autopkgtest.

 -- Yogeswaran Umasankar <kd8mbd@gmail.com>  Mon, 08 Jan 2024 20:00:00 +0000

python-ml-collections (0.1.1-2) unstable; urgency=medium

  * Team Upload.
  * Remove docs before building (Closes: #1012233)
  * Bump Standards-Version to 4.6.2 (no changes needed)
  * Add python-is-python3 to test-deps
  * Add Suggests on python-is-python3
  * Update copyright years
  * d/lintian-overrides: Override FP

 -- Nilesh Patra <nilesh@debian.org>  Sat, 01 Apr 2023 11:29:28 +0530

python-ml-collections (0.1.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.1.1 (Closes: #1009114)
  * Bump Standards-Version to 4.6.1 (no changes needed)
  * Drop fix-test.patch

 -- Nilesh Patra <nilesh@debian.org>  Thu, 26 May 2022 17:52:59 +0530

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Source: python-ml-collections
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Steffen Moeller <moeller@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
                python3-setuptools,
+               python3-six,
                python3-absl <!nocheck>,
                python3-contextlib2 <!nocheck>,
                python3-yaml <!nocheck>
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-ml-collections
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-ml-collections.git
 Testsuite: autopkgtest-pkg-python
@@ -23,7 +23,9 @@
 Depends: ${python3:Depends}, ${misc:Depends},
          python3-absl,
          python3-contextlib2,
-         python3-yaml
+         python3-yaml,
+         python3-six
+Suggests: python-is-python3
 Description: collections designed for ML usecases
  The package provices two classes called ConfigDict and FrozenConfigDict that
  are "dict-like" data structures with dot access to nested elements. Together,

=== debian/rules ===
--- 
+++ 
@@ -11,3 +11,5 @@
 override_dh_auto_clean:
 	dh_auto_clean
 	rm -f ml_collections.egg-info/SOURCES.txt ml_collections.egg-info/top_level.txt
+	# Un-needed for now
+	rm -rf docs/

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, bazel-bootstrap, python3-mock, python-is-python3, python3-absl, python3-contextlib2, python3-yaml, python3-six
Restrictions: allow-stderr, skip-not-installable

=== debian/watch ===
version=4
https://pypi.python.org/simple/ml-collections .*/ml_collections-@ANY_VERSION@@ARCHIVE_EXT@#sha256=.*

## python-ml-collections 1.0.0

=== debian/changelog ===
python-ml-collections (1.0.0-1) unstable; urgency=medium

  * Team upload
  * New upstream version 1.0.0
  * Remove patches applied upstream
  * Update build system:
    - python3-setuptools
    + pybuild-plugin-pyproject
    + python3-flit-scm

 -- Alexandre Detiste <tchet@debian.org>  Thu, 14 Nov 2024 20:50:57 +0100

python-ml-collections (0.1.1-4) unstable; urgency=medium

  * Team upload.
  * Patch-out usage of old python3-mock & python3-unittest2

 -- Alexandre Detiste <tchet@debian.org>  Mon, 23 Sep 2024 00:09:08 +0200

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,12 @@
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Steffen Moeller <moeller@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
+               pybuild-plugin-pyproject,
                python3-all,
-               python3-setuptools,
+               python3-flit-scm,
                python3-six,
                python3-absl <!nocheck>,
-               python3-contextlib2 <!nocheck>,
                python3-yaml <!nocheck>
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-ml-collections
@@ -22,7 +22,6 @@
 Architecture: all
 Depends: ${python3:Depends}, ${misc:Depends},
          python3-absl,
-         python3-contextlib2,
          python3-yaml,
          python3-six
 Suggests: python-is-python3

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 export PYBUILD_NAME=python-ml-collections
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 override_dh_auto_clean:
 	dh_auto_clean

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, bazel-bootstrap, python-is-python3, python3-absl, python3-yaml
Restrictions: allow-stderr, skip-not-installable

## python-ml-collections 1.0.0+ds1

=== debian/changelog ===
python-ml-collections (1.0.0+ds1-1) unstable; urgency=medium

  * Team upload.
  * Switch to fetching source from GitHub, as the sdist on PyPI no longer
    contains tests.
  * Run tests using pytest, following upstream (closes: #1098875).

 -- Colin Watson <cjwatson@debian.org>  Fri, 07 Mar 2025 13:12:53 +0000

=== debian/control ===
--- 
+++ 
@@ -10,11 +10,13 @@
                python3-flit-scm,
                python3-six,
                python3-absl <!nocheck>,
+               python3-pytest <!nocheck>,
+               python3-pytest-xdist <!nocheck>,
                python3-yaml <!nocheck>
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-ml-collections
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-ml-collections.git
-Testsuite: autopkgtest-pkg-python
+Testsuite: autopkgtest-pkg-pybuild
 Homepage: https://github.com/google/ml_collections
 Rules-Requires-Root: no

=== debian/watch ===
version=4
opts="searchmode=plain,\
filenamemangle=s%v?@ANY_VERSION@%@PACKAGE@-$1.tar.gz%,\
dversionmangle=auto" \
https://api.github.com/repos/google/ml_collections/releases?per_page=100 \
https://api.github.com/repos/[^/]+/[^/]+/tarball/v?@ANY_VERSION@

## python-ml-collections 1.1.0

=== docs/requirements.txt ===
sphinx
sphinx_rtd_theme
nbsphinx
recommonmark

=== debian/changelog ===
python-ml-collections (1.1.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.1.0
  * Drop depenceny on python3-six

 -- Alexandre Detiste <tchet@debian.org>  Sun, 20 Apr 2025 12:09:52 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,6 @@
                pybuild-plugin-pyproject,
                python3-all,
                python3-flit-scm,
-               python3-six,
                python3-absl <!nocheck>,
                python3-pytest <!nocheck>,
                python3-pytest-xdist <!nocheck>,
@@ -25,7 +24,6 @@
 Depends: ${python3:Depends}, ${misc:Depends},
          python3-absl,
          python3-yaml,
-         python3-six
 Suggests: python-is-python3
 Description: collections designed for ML usecases
  The package provices two classes called ConfigDict and FrozenConfigDict that

=== debian/rules ===
#!/usr/bin/make -f

DH_VERBOSE := 1
export LC_ALL=C.UTF-8

export PYBUILD_NAME := python-ml-collections
export PYBUILD_TEST_ARGS := \
	-n auto ml_collections/ \
	--ignore=ml_collections/config_dict/examples/examples_test.py
ifeq ($(PYBUILD_AUTOPKGTEST),1)
# The tests really don't like running from a different directory.
export PYBUILD_TEST_CUSTOM := 1
PYBUILD_TEST_ARGS := \
	cd /usr/lib/python3/dist-packages && \
	{interpreter} -m pytest $(PYBUILD_TEST_ARGS)
endif

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -f ml_collections.egg-info/SOURCES.txt ml_collections.egg-info/top_level.txt
